﻿@page
@using Microsoft.AspNetCore.Mvc.Localization;
@using Microsoft.Extensions.Localization;
@inject IStringLocalizer Localizer;
@inject IHtmlLocalizer HtmlLocalizer;
@model Canyon.GM.Panel.Pages.LoginWith2faModel
@{
    Layout = "_LoginLayout";
    ViewData[TITLE] = Localizer["LoginWith2fa"];
}

<form method="post" asp-route-returnUrl="@Model.ReturnUrl">
    @await Html.PartialAsync("_ErrorSummary")

    <div class="form-floating mb-3">
        <input class="form-control" asp-for="Input.TwoFactorCode" placeholder="123456">
        <label asp-for="Input.TwoFactorCode">@Localizer["TwoFactorCode"]</label>
    </div>
    <div class="checkbox mb-3">
        <label>
            <input type="checkbox" asp-for="Input.RememberMachine"> @Localizer["RememberMe"]
        </label>
    </div>
    <button class="w-100 btn btn-lg btn-primary" type="submit">@Localizer["SignIn"]</button>

    <p>
        @HtmlLocalizer["LogInWithRecoveryCode", Url.Page("LoginWithRecoveryCode"), Request.Query["ReturnUrl"]]
    </p>
</form>